const path = require('path');

module.exports = {
  target: 'web',
  output: {
    // use absolute paths in sourcemaps (important for debugging via IDE)
    devtoolModuleFilenameTemplate: '[absolute-resource-path]',
    devtoolFallbackModuleFilenameTemplate: '[absolute-resource-path]?[hash]'
  },
  devtool: "source-map",
  mode: 'development',
  output: {
    filename: 'main.dev.js',
    path: path.resolve(__dirname, 'dist')
  },
  devServer: {
    contentBase: path.join(__dirname, "/public"),
    publicPath: "/dist/",
    index: 'index.html',
    compress: true,
    port: 8000
  }
};
